
DataONE R Client - Story #928

R Client needs to support multiple data formats

2010-10-06 20:09 - Matthew Jones

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Matthew Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

R Client currently assumes data is CSV.  Need to read metadata to support a variety of other formats.

Subtasks:

Task # 848: modify R client to use system and science metadata for table parsing Closed

Task # 851: add support to R client for non-tabular data such as raster data Closed

Task # 3440: Add support to R Client to read netCDF Closed

Related issues:

Blocked by Infrastructure - Story #976: Design data packaging approach for cl... Closed 2010-11-30 2013-01-19

History

#1 - 2010-10-07 18:14 - Matthew Jones

- Position set to 20

#2 - 2010-10-07 19:29 - Dave Vieglais

- Position set to 10

- Position deleted (28)

- Target version set to Sprint-2010.42

#3 - 2010-10-22 16:52 - Dave Vieglais

- Position set to 10

- Position deleted (21)

- Target version deleted (Sprint-2010.42)

#4 - 2011-10-07 16:50 - Matthew Jones

- Position set to 2

- Position deleted (241)

- Target version set to Sprint-2011.41-Block.5

#5 - 2011-10-21 14:27 - Matthew Jones

- Position deleted (16)

- Target version changed from Sprint-2011.41-Block.5 to Sprint-2011.43-Block.6

- Position set to 1

#6 - 2011-10-31 17:29 - Dave Vieglais

- Position changed from 1 to 302

- Position set to 1

- Position deleted (23)

- Target version changed from Sprint-2011.43-Block.6 to Sprint-2011.44-Block.6

2024-05-01 1/3



#7 - 2011-11-05 17:22 - Matthew Jones

- Position set to 306

- Position deleted (304)

- Target version changed from Sprint-2011.44-Block.6 to Sprint-2011.45-Block.6

#8 - 2011-11-15 03:57 - Dave Vieglais

- Target version changed from Sprint-2011.45-Block.6 to Sprint-2011.47-Block.6

- Position set to 2

- Position deleted (306)

#9 - 2011-11-28 18:51 - Dave Vieglais

- Target version changed from Sprint-2011.47-Block.6 to Sprint-2011.50-Block.6

- Position deleted (17)

- Position set to 1

#10 - 2011-12-19 18:58 - Dave Vieglais

- Target version changed from Sprint-2011.50-Block.6 to Sprint-2012.03-Block.1.2

- Position deleted (36)

- Position set to 10

#11 - 2012-01-17 15:44 - Dave Vieglais

- Target version changed from Sprint-2012.03-Block.1.2 to Sprint-2012.05-Block.1.3

- Position deleted (51)

- Position set to 6

#12 - 2012-01-30 16:28 - Dave Vieglais

- Position deleted (11)

- Target version changed from Sprint-2012.05-Block.1.3 to Sprint-2012.07-Block.1.4

- Position set to 1

#13 - 2012-02-27 18:12 - Dave Vieglais

- Position set to 1

- Position deleted (46)

- Target version changed from Sprint-2012.07-Block.1.4 to Sprint-2012.11-Block.2.2

#14 - 2012-03-16 02:30 - Dave Vieglais

- Target version changed from Sprint-2012.11-Block.2.2 to Sprint-2012.13-Block.2.3

- Position set to 1

- Position deleted (23)

#15 - 2012-04-09 20:46 - Matthew Jones

- Position deleted (26)

- Position set to 1

- Target version deleted (Sprint-2012.13-Block.2.3)

#16 - 2013-02-22 18:49 - Matthew Jones

- Project changed from Infrastructure to DataONE R Client

- Milestone changed from CCI-0.6 to None

- Category deleted (d1_client_r)
#17 - 2014-09-10 20:25 - Matthew Jones

- Status changed from New to Closed

Moved issue to github: https://github.com/DataONEorg/rdataone/issues/30
